[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListColumn.Assign

Copies properties from the specified persistent object to the current class instance.

## Declaration

Source position: comctrls.pp line 1244

`public procedure TListColumn.Assign(`
`ASource: TPersistent`
`); override;`

## Arguments

`ASource` |  | Persistent object with values copied in the method.

## Description

Assign is an overridden method used to implement object persistence for the TListColumn type. It copies property values from the persistent object in ASource into the current class instance. When ASource is derived from TListColumn, the following properties are copied:

- Alignment
- AutoSize
- Caption
- MaxWidth
- MinWidth
- Visible
- Width

The Changed method is called to signal a change in the values for the collection item.

If ASource is not derived from TListColumn, the inherited method is called using ASource as an argument. An EConvertError exception is raised if ASource has not been assigned (contains Nil).

## See also

TPersistent.Assign